org.apache.lucene.luke.models.overview

## Enum TermCountsOrder

- java.lang.Object
- - java.lang.Enum<TermCountsOrder>
  - - org.apache.lucene.luke.models.overview.TermCountsOrder

- All Implemented Interfaces:
    Serializable, Comparable<TermCountsOrder>

      public enum TermCountsOrder
      extends Enum<TermCountsOrder>

  Sort orders for fields with their term counts

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COUNT_ASC` Ascending order by the count of terms
    `COUNT_DESC` Descending order by the count of terms
    `NAME_ASC` Ascending order by the field name
    `NAME_DESC` Descending order by the field name

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TermCountsOrder` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TermCountsOrder[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NAME_ASC

          public static final TermCountsOrder NAME_ASC

      Ascending order by the field name

    - #### NAME_DESC

          public static final TermCountsOrder NAME_DESC

      Descending order by the field name

    - #### COUNT_ASC

          public static final TermCountsOrder COUNT_ASC

      Ascending order by the count of terms

    - #### COUNT_DESC

          public static final TermCountsOrder COUNT_DESC

      Descending order by the count of terms

  - ### Method Detail

    - #### values

          public static TermCountsOrder[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TermCountsOrder c : TermCountsOrder.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TermCountsOrder valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.